Bug 1475609 - [abrt] sakura: sakura_set_size(): sakura killed by signal 11
Summary: [abrt] sakura: sakura_set_size(): sakura killed by signal 11
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sakura   
(Show other bugs)
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:603bc78dcb1f2e3062050fc5268...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-27 01:02 UTC by ztb0001
Modified: 2018-05-07 04:14 UTC (History)
2 users (show)

Fixed In Version: sakura-3.5.0-1.fc28 sakura-3.5.0-1.fc26 sakura-3.5.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-07 01:59:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.89 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: core_backtrace (7.22 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: cpuinfo (1.16 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: dso_list (7.51 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: environ (1.55 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: maps (35.27 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: open_fds (1007 bytes, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details
File: var_log_messages (301 bytes, text/plain)
2017-07-27 01:02 UTC, ztb0001
no flags Details

Description ztb0001 2017-07-27 01:02:16 UTC
Description of problem:
Fresh install from live iso
dnf install sakura
sakura (or just open the program)

Version-Release number of selected component:
sakura-3.2.0-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        sakura
crash_function: sakura_set_size
executable:     /usr/bin/sakura
journald_cursor: s=d2354125e7384fcb9a80c87e96263874;i=1377;b=4fe48d01116241849da77557a3ec3db4;m=4bbe6574;t=55541ebc9f9b1;x=cf3adbed523e4553
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 sakura_set_size at /usr/src/debug/sakura-3.2.0/src/sakura.c:2514
 #1 sakura_add_tab at /usr/src/debug/sakura-3.2.0/src/sakura.c:2758

Potential duplicate: bug 1336445

Comment 1 ztb0001 2017-07-27 01:02:20 UTC
Created attachment 1305120 [details]
File: backtrace

Comment 2 ztb0001 2017-07-27 01:02:20 UTC
Created attachment 1305121 [details]
File: cgroup

Comment 3 ztb0001 2017-07-27 01:02:21 UTC
Created attachment 1305122 [details]
File: core_backtrace

Comment 4 ztb0001 2017-07-27 01:02:22 UTC
Created attachment 1305123 [details]
File: cpuinfo

Comment 5 ztb0001 2017-07-27 01:02:23 UTC
Created attachment 1305124 [details]
File: dso_list

Comment 6 ztb0001 2017-07-27 01:02:24 UTC
Created attachment 1305125 [details]
File: environ

Comment 7 ztb0001 2017-07-27 01:02:24 UTC
Created attachment 1305126 [details]
File: exploitable

Comment 8 ztb0001 2017-07-27 01:02:25 UTC
Created attachment 1305127 [details]
File: limits

Comment 9 ztb0001 2017-07-27 01:02:26 UTC
Created attachment 1305128 [details]
File: maps

Comment 10 ztb0001 2017-07-27 01:02:27 UTC
Created attachment 1305129 [details]
File: open_fds

Comment 11 ztb0001 2017-07-27 01:02:28 UTC
Created attachment 1305130 [details]
File: proc_pid_status

Comment 12 ztb0001 2017-07-27 01:02:28 UTC
Created attachment 1305131 [details]
File: var_log_messages

Comment 13 Joshua Jensch 2017-07-30 19:58:52 UTC
Similar problem has been detected:

I installed sakura on a fresh install and when trying to start it instantly segfaults.
I remember having the same problem a while back on my gentoo installation, it was related to a kernel or graphics driver update
(I am running a Radeon HD 7770)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        sakura
crash_function: sakura_set_size
executable:     /usr/bin/sakura
journald_cursor: s=a37bbff57df54d8592e99afdcdfb2e7f;i=5b4b;b=284b21c0b5de4e7db59fb93b99667e34;m=1053fde3;t=5558df831af50;x=e80d0118f579d720
kernel:         4.11.11-300.fc26.x86_64
package:        sakura-3.2.0-3.fc26
reason:         sakura killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2018-04-24 23:03:00 UTC
sakura-3.5.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21d6e4debb

Comment 15 Fedora Update System 2018-04-24 23:03:20 UTC
sakura-3.5.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e165397a75

Comment 16 Fedora Update System 2018-04-24 23:03:32 UTC
sakura-3.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d9dcb0442

Comment 17 Fedora Update System 2018-04-25 19:43:11 UTC
sakura-3.5.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e165397a75

Comment 18 Fedora Update System 2018-04-25 20:10:43 UTC
sakura-3.5.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d9dcb0442

Comment 19 Fedora Update System 2018-04-26 04:52:10 UTC
sakura-3.5.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21d6e4debb

Comment 20 Fedora End Of Life 2018-05-03 08:29:32 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora Update System 2018-05-07 01:59:43 UTC
sakura-3.5.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-05-07 03:37:40 UTC
sakura-3.5.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-05-07 04:14:52 UTC
sakura-3.5.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.